{
    "$graph": [
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/grep_pattern"
                },
                {
                    "type": "File",
                    "id": "#main/target_file"
                }
            ],
            "steps": [
                {
                    "run": "#grep.cwl",
                    "in": [
                        {
                            "source": "#main/target_file",
                            "id": "#main/grep/file_to_search"
                        },
                        {
                            "source": "#main/grep_pattern",
                            "id": "#main/grep/pattern"
                        }
                    ],
                    "out": [
                        "#main/grep/results"
                    ],
                    "id": "#main/grep"
                },
                {
                    "run": "#wc.cwl",
                    "in": [
                        {
                            "source": "#main/grep/results",
                            "id": "#main/wc/file"
                        }
                    ],
                    "out": [
                        "#main/wc/counts"
                    ],
                    "id": "#main/wc"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/wc/counts",
                    "id": "#main/counts"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "grep",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#grep.cwl/file_to_search"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 0
                    },
                    "id": "#grep.cwl/pattern"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#grep.cwl/results",
                    "outputBinding": {
                        "glob": "grepout.txt"
                    }
                }
            ],
            "stdout": "grepout.txt",
            "id": "#grep.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "wc",
                "-l"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    },
                    "id": "#wc.cwl/file"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#wc.cwl/counts",
                    "outputBinding": {
                        "glob": "wcout.txt"
                    }
                }
            ],
            "stdout": "wcout.txt",
            "id": "#wc.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
